[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'idea' (#fcl)

# TIDEAEncryptStream.Write

Write bytes to the stream to be encrypted

## Declaration

Source position: idea.pp line 97

`public function TIDEAEncryptStream.Write(`
`const Buffer;`
`Count: LongInt`
`):LongInt; override;`

## Arguments

`Buffer` |  | Buffer containing data to be written
`Count` |  | Number of bytes to write.

## Function result

Number of bytes actually written.

## Description

Write writes Count bytes from Buffer to the stream, encrypting the bytes as they are written (encryption in blocks of 8 bytes).

## Errors

If an error occurs writing to the destination stream, an error may occur.

## See also

Read |  | Reads data from the stream, decrypting it as needed